Bug 656844 - [abrt] openssh-clients-5.4p1-3.fc13: client_input_channel_req: Process /usr/bin/ssh was killed by signal 11 (SIGSEGV)
[abrt] openssh-clients-5.4p1-3.fc13: client_input_channel_req: Process /usr/b...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openssh (Show other bugs)
6.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jan F. Chadima
BaseOS QE Security Team
abrt_hash:b212c2473d299fa34c0591c5263...
:
Depends On: 627332
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-24 04:56 EST by Jan F. Chadima
Modified: 2011-05-19 09:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: openssh-5.3p1-33.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 627332
Environment:
Last Closed: 2011-05-19 09:30:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed solution (477 bytes, patch)
2010-11-24 04:59 EST, Jan F. Chadima
no flags Details | Diff

  None (edit)
Description Jan F. Chadima 2010-11-24 04:56:29 EST
+++ This bug was initially created as a clone of Bug #627332 +++

abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: ssh -D 9999 -n -N ck
component: openssh
crash_function: client_input_channel_req
executable: /usr/bin/ssh
kernel: 2.6.33.8-149.fc13.x86_64
package: openssh-clients-5.4p1-3.fc13
rating: 4
reason: Process /usr/bin/ssh was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
How to reproduce: Just using ssh -D 9999 -n -N ck for web navigation
time: 1282754451
uid: 500

--- Additional comment from clodoaldo.pinto.neto@gmail.com on 2010-08-25 13:23:42 EDT ---

Created an attachment (id=441005)
File: backtrace

--- Additional comment from clodoaldo.pinto.neto@gmail.com on 2010-08-30 15:23:28 EDT ---

Package: openssh-clients-5.4p1-3.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Just using ssh -D 9999 -n -N ck for web navigation

--- Additional comment from jchadima@redhat.com on 2010-11-08 02:45:20 EST ---

can you tell me which site are you browsing, when the crash occurs?

--- Additional comment from clodoaldo.pinto.neto@gmail.com on 2010-11-08 05:10:08 EST ---

I didn't notice an specific site. It looks like it is random. I will try to take note when it happens. The tunnel is only used for non ssl connections:

function FindProxyForURL(url, host) {
   if (url.substring(0, 6) == "https:") {
      return "DIRECT";
   }

   if (shExpMatch(host, "*.dkt")) {
      return "SOCKS5 localhost:9998";
   }

   return "SOCKS5 localhost:9999";
}


What I think is worth mentioning is that it is over a bad 3G connection.

--- Additional comment from clodoaldo.pinto.neto@gmail.com on 2010-11-09 12:08:47 EST ---

Just crashed in a forum I last visited many months ago. Gmail was also open (as always) and it does ajax requests in the background.

--- Additional comment from jchadima@redhat.com on 2010-11-24 02:05:25 EST ---

*** Bug 655853 has been marked as a duplicate of this bug. ***

--- Additional comment from updates@fedoraproject.org on 2010-11-24 04:53:24 EST ---

openssh-5.4p1-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/openssh-5.4p1-5.fc13

--- Additional comment from updates@fedoraproject.org on 2010-11-24 04:54:15 EST ---

openssh-5.5p1-24.fc14.2 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openssh-5.5p1-24.fc14.2
Comment 1 Jan F. Chadima 2010-11-24 04:58:15 EST
Upstream solve this problem by releasing the patch.
Comment 2 Jan F. Chadima 2010-11-24 04:59:58 EST
Created attachment 462583 [details]
proposed solution
Comment 10 errata-xmlrpc 2011-05-19 09:30:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0598.html

Note You need to log in before you can comment on or make changes to this bug.